### Class

# Foundry FileMonitor

#### Description [src]

    final class Foundry.FileMonitor : GObject.Object
    {
      /* No available fields */
    }

A file monitor which integrates well with DexFuture.

#### Ancestors

- GObject

#### Constructors

###### foundry_file_monitor_new

No description available.

#### Instance methods

###### foundry_file_monitor_cancel

No description available.

###### foundry_file_monitor_dup_file

No description available.

###### foundry_file_monitor_next

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.FileMonitor:file

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryFileMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.